.primary-menu .e-n-menu-wrapper {
  padding: 10px 20px 0 20px !important;
}

.primary-menu .e-n-menu-wrapper > ul {
  border-radius: 6px;
  overflow: auto;
}

.blured-box {
  backdrop-filter: blur(20px);
}

.to-top-button {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 60px;
  height: 60px;
  border-radius: 50%;
  position: fixed;
  bottom: -140px;
  right: 40px;
  background-color: var(--e-global-color-secondary);
  border: 1px solid #eff4ff33;
  z-index: 9;
  transition: all 0.3s ease;
  opacity: 0;
}

body.arvento-back-top-button-active .to-top-button {
  opacity: 1;
  bottom: 40px;
}

/**
 * Custom Cursor
 */
.arvento-cursor {
  pointer-events: none;
}

.cursor__ball--big,
.cursor__ball--small {
  opacity: 0;
  visibility: hidden;
  transform: scale(0.5);
  transition:
    opacity 0.15s ease,
    scale 0.3s ease,
    visibility 0.15s ease;
}

/* when active */
body.averta-drag-cursor-active .cursor__ball--big,
body.averta-drag-cursor-active .cursor__ball--small {
  opacity: 1;
  visibility: visible;
  transform: scale(1);
}

/* optional: hide native cursor only when active */
body.averta-drag-cursor-active {
  cursor: none;
}

body.averta-drag-cursor-active a,
body.averta-drag-cursor-active button {
  cursor: none;
}

.arvento-cursor .cursor__ball {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1000;
}

@media (pointer: coarse) {
  .arvento-cursor .cursor__ball {
    display: none;
  }
}

/* Wrapper */
.arvento-steps {
  --blue: #1877ff;
  --bg: #f4f8ff;
  --text: #000;
  --muted: #475569;
  --radius: 10px;
  --black: #000;

  display: flex;
  flex-direction: column;
  gap: 10px;
}

/* Each row */
.arvento-step {
  display: grid;
  grid-template-columns: 64px 1fr;
  align-items: stretch;
}

/* Left rail (dot + line) */
.arvento-rail {
  position: relative;
  display: flex;
  justify-content: center;
}

/* The vertical line */
.arvento-line {
  position: absolute;
  top: 40px;
  bottom: -40px;
  width: 1px;
  border-radius: 0;
  background: var(--black);
  opacity: 1;
  z-index: -1;
}

.arvento-steps > .arvento-step:last-child .arvento-line {
  display: none;
}

/* Number circle */
.arvento-dot {
  width: 52px;
  height: 52px;
  border-radius: 999px;
  background: var(--blue);
  color: #fff;
  display: grid;
  place-items: center;
  font-family: Inter;
  font-weight: 500;
  font-size: 24px;
  line-height: 24px;

  margin-top: 6px;
}

/* Card */
.arvento-card {
  background: #eff4ff;
  border-radius: var(--radius);
  padding: 20px 30px;
  display: flex;
  gap: 14px;
  align-items: flex-start;
  margin-left: 10px;
  transition:
    transform 0.18s ease,
    box-shadow 0.18s ease;
}

/* subtle hover like in your style */
.arvento-card:hover {
  transform: translateY(-2px);
}

/* Icon box */
.arvento-icon {
  width: 48px;
  height: 48px;
  flex: 0 0 48px;
  display: grid;
  place-items: center;
  color: var(--blue);
}

.arvento-icon svg {
  width: 48px;
  height: 48px;
}

/* Text */
.arvento-content h4 {
  margin: 0 0 16px 0;
  color: var(--text);
  letter-spacing: -1px !important;
}

.arvento-content p {
  margin: 0;
  font-family: Inter;
  font-weight: 400;
  font-size: 18px;
  line-height: 1.2em;

  color: var(--text);
}

/* last item: remove line */
.arvento-step.is-last .arvento-line {
  display: none;
}

/* Initial (before visible) */
.arvento-steps .arvento-step {
  opacity: 0;
  transform: translateY(14px);
  transition:
    opacity 0.3s ease,
    transform 0.3s ease;
  will-change: opacity, transform;
}

/* When parent becomes visible (has .animated) */
.animated .arvento-steps .arvento-step {
  opacity: 1;
  transform: translateY(0);
}

/* Stagger delays (3 items) */
.animated .arvento-steps .arvento-step:nth-child(1) {
  transition-delay: 0.3s;
}
.animated .arvento-steps .arvento-step:nth-child(2) {
  transition-delay: 0.6s;
}
.animated .arvento-steps .arvento-step:nth-child(3) {
  transition-delay: 0.9s;
}

/* Mobile */
@media (max-width: 640px) {
  .arvento-steps {
    gap: 20px;
  }
  .arvento-step {
    display: flex;
    align-items: stretch;
    flex-direction: column;
  }

  .arvento-steps > .arvento-step:last-child .arvento-line {
    display: block;
  }

  .arvento-card {
    margin-left: 0;
  }
  .arvento-line {
    top: 38px;
    width: 1px;
  }
  .arvento-content h4 {
    margin: 0 0 8px 0;
  }

  .arvento-rail {
    margin-bottom: 1.1em;
  }
}

/* Tab Switcher */
.arvento-tab-switcher-button {
  border: 1px solid var(--e-global-color-9f7c888);
  transition: all 0.3s ease;
  cursor: pointer;
}
.arvento-tab-switcher-button:hover,
.arvento-tab-switcher-button:active,
.arvento-tab-switcher-button.active {
  border: 1px solid var(--e-global-color-accent);
}